---
wsId: buyucoin
title: 'BuyUcoin: Bitcoin & Crypto App'
altTitle: 
authors:
- leo
users: 100000
appId: com.buyucoinApp.buyucoin
appCountry: 
released: 2019-02-15
updated: 2022-05-03
version: '3.27'
stars: 4.1
ratings: 3529
reviews: 12
size: 44M
website: https://www.buyucoin.com
repository: 
issue: 
icon: com.buyucoinApp.buyucoin.png
bugbounty: 
meta: ok
verdict: custodial
date: 2021-05-30
signer: 
reviewArchive: 
twitter: buyucoin
social:
- https://www.linkedin.com/company/buyucoin
- https://www.facebook.com/BuyUcoin
- https://www.reddit.com/r/BuyUcoin
redirect_from:
- /com.buyucoinApp.buyucoin/
- /posts/com.buyucoinApp.buyucoin/

---

On the App Store, 4 of 6 ratings are 1-star. On the Play Store the average
rating is 3.5 stars with many complaints in the reviews. Caution is
advised!

This app appears to be the broken interface for a broken exchange, judging by
the vast majority of user comments. It is certainly **not verifiable**.
